Index: tmp/org.txm.libs.msoffice/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.libs.msoffice/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.libs.msoffice/.settings/org.eclipse.jdt.core.prefs	(revision 964)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: tmp/org.txm.libs.msoffice/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.msoffice/.classpath
===================================================================
--- tmp/org.txm.libs.msoffice/.classpath	(revision 0)
+++ tmp/org.txm.libs.msoffice/.classpath	(revision 964)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-codec-1.10.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-collections4-4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/curvesapi-1.04.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-4.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ooxml-schemas-1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-3.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-excelant-3.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-3.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-schemas-3.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-scratchpad-3.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xmlbeans-2.6.0.jar"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.libs.msoffice/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.msoffice/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 964)
@@ -0,0 +1,7 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.libs.msoffice
+Bundle-SymbolicName: org.txm.libs.msoffice
+Bundle-Version: 1.0.0.qualifier
+Automatic-Module-Name: org.txm.libs.msoffice
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8

Property changes on: tmp/org.txm.libs.msoffice/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.msoffice/.project
===================================================================
--- tmp/org.txm.libs.msoffice/.project	(revision 0)
+++ tmp/org.txm.libs.msoffice/.project	(revision 964)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.libs.msoffice</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.libs.msoffice/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.msoffice/lib/poi-scratchpad-3.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/poi-scratchpad-3.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/poi-ooxml-3.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/poi-ooxml-3.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/poi-ooxml-schemas-3.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/poi-ooxml-schemas-3.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/xmlbeans-2.6.0.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/xmlbeans-2.6.0.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/commons-collections4-4.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/commons-collections4-4.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/junit-4.12.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/junit-4.12.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/commons-logging-1.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/commons-logging-1.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/poi-3.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/poi-3.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/ooxml-schemas-1.3.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/ooxml-schemas-1.3.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/poi-excelant-3.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/poi-excelant-3.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/curvesapi-1.04.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/curvesapi-1.04.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/commons-codec-1.10.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/commons-codec-1.10.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/lib/log4j-1.2.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.msoffice/lib/log4j-1.2.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java
===================================================================
--- tmp/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java	(revision 0)
+++ tmp/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java	(revision 964)
@@ -0,0 +1,86 @@
+package org.txm.libs.msoffice;
+
+import java.io.File;
+import java.util.ArrayList;
+
+import org.apache.poi.ss.usermodel.Cell;
+import org.apache.poi.ss.usermodel.Row;
+import org.apache.poi.ss.usermodel.Sheet;
+import org.apache.poi.ss.usermodel.Workbook;
+import org.apache.poi.ss.usermodel.WorkbookFactory;
+
+public class ReadExcel {
+
+	public static ArrayList<ArrayList<String>> toTable(File inputFile, String sheetName) {
+
+		ArrayList<ArrayList<String>> data = new ArrayList<ArrayList<String>>();
+
+		if (!inputFile.canRead()) {
+			System.out.println("** Excel2XML: '"+inputFile.getName()+"' file not readable. Aborting.");
+			return data;
+		}
+
+		try {
+
+
+			Workbook wb = WorkbookFactory.create(inputFile);
+			Sheet ws;
+			if (sheetName == null || sheetName.length() == 0) {
+				ws = wb.getSheetAt(0);
+			} else {
+				ws = wb.getSheet(sheetName);
+				if (ws == null) {
+					ws = wb.getSheetAt(0);
+				}
+			}
+
+			if (ws == null) {
+				System.out.println("** Excel2XML: no sheet found. Aborting.");
+				return data;
+			}
+
+			int nRows = ws.getPhysicalNumberOfRows();
+			if (nRows == 0) return null;
+
+			Row firstRow = ws.getRow(0);
+			int colMax = firstRow.getLastCellNum();
+
+			ArrayList<String> headers = new ArrayList<String>();
+			for (int it = 0 ; it < colMax; it++) {
+				headers.add(firstRow.getCell(it).getStringCellValue().replaceAll("\n", ";"));
+			}
+
+			for (int rowIndex = 0 ; rowIndex < nRows ; rowIndex++) {
+				Row row = ws.getRow(rowIndex);
+				ArrayList<String> dataLine = new ArrayList<String>();
+				data.add(dataLine);
+				for (int colIndex = 0 ; colIndex < colMax ; colIndex++) {
+					Cell cell = row.getCell(colIndex);
+					if (cell != null) {
+						String value = cell.getStringCellValue().replaceAll("\n", ";").trim();
+						dataLine.add(value);
+					} else {
+						dataLine.add("");
+					}
+				}
+			}
+
+		} catch (Exception e) {
+			System.out.println("** Excel2XML: unable to read input file. Aborting.");
+			System.out.println( e.getLocalizedMessage());
+			e.printStackTrace();
+			return null;
+		}
+
+		return data;
+	}
+	
+	public static void main(String[] args) {
+		ArrayList<ArrayList<String>> data = toTable(new File("/home/mdecorde/xml/metadata.xlsx"), null);
+		if (data.size() == 0) {
+			System.out.println("no data.");
+		} else {
+			System.out.println(data);
+		}
+	}
+}

Property changes on: tmp/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.msoffice/build.properties
===================================================================
--- tmp/org.txm.libs.msoffice/build.properties	(revision 0)
+++ tmp/org.txm.libs.msoffice/build.properties	(revision 964)
@@ -0,0 +1,4 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .

Property changes on: tmp/org.txm.libs.msoffice/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.libs.office/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.libs.office/.settings/org.eclipse.jdt.core.prefs	(revision 964)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.7

Property changes on: tmp/org.txm.libs.office/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/.classpath
===================================================================
--- tmp/org.txm.libs.office/.classpath	(revision 0)
+++ tmp/org.txm.libs.office/.classpath	(revision 964)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-beanutils-1.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-collections-3.2.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-digester-1.8.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-validator-1.5.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/java-rdfa-0.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-core-2.11.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-iri-1.0.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-3.8.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.8.11-incubating.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.8.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/simple-odf-0.8.2-incubating.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-api-1.7.25.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-log4j12-1.7.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/taglets-0.8.11-incubating.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xercesImpl-2.9.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xml-apis-1.3.04.jar"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.libs.office/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.office/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.libs.office/META-INF/MANIFEST.MF	(revision 964)
@@ -0,0 +1,31 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.libs.office
+Bundle-SymbolicName: org.txm.libs.office
+Bundle-Version: 0.8.2
+Automatic-Module-Name: org.txm.libs.office
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-ClassPath: lib/commons-beanutils-1.9.2.jar,
+ lib/commons-collections-3.2.2.jar,
+ lib/commons-digester-1.8.1.jar,
+ lib/commons-logging-1.2.jar,
+ lib/commons-validator-1.5.0.jar,
+ lib/java-rdfa-0.4.2.jar,
+ lib/jena-core-2.11.2.jar,
+ lib/jena-iri-1.0.2.jar,
+ lib/junit-3.8.1.jar,
+ lib/log4j-1.2.17.jar,
+ lib/odfdom-java-0.8.11-incubating.jar,
+ lib/odfdom-java-0.8.7.jar,
+ lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar,
+ lib/simple-odf-0.8.2-incubating.jar,
+ lib/slf4j-api-1.7.25.jar,
+ lib/slf4j-log4j12-1.7.6.jar,
+ lib/taglets-0.8.11-incubating.jar,
+ lib/xercesImpl-2.9.1.jar,
+ lib/xml-apis-1.3.04.jar,
+ .
+Export-Package: 
+ org.txm.libs.office
+Bundle-Vendor: Apache ODF Toolkit (incubating)
+Require-Bundle: org.apache.xerces;bundle-version="2.9.0"

Property changes on: tmp/org.txm.libs.office/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/.project
===================================================================
--- tmp/org.txm.libs.office/.project	(revision 0)
+++ tmp/org.txm.libs.office/.project	(revision 964)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.libs.office</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.libs.office/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/lib/taglets-0.8.11-incubating.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/taglets-0.8.11-incubating.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/slf4j-log4j12-1.7.6.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/slf4j-log4j12-1.7.6.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/xml-apis-1.3.04.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/xml-apis-1.3.04.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/xercesImpl-2.9.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/xercesImpl-2.9.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/slf4j-api-1.7.25.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/slf4j-api-1.7.25.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/commons-digester-1.8.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/commons-digester-1.8.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/jena-core-2.11.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/jena-core-2.11.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/simple-odf-0.8.2-incubating.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/simple-odf-0.8.2-incubating.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/commons-collections-3.2.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/commons-collections-3.2.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/java-rdfa-0.4.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/java-rdfa-0.4.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/jena-iri-1.0.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/jena-iri-1.0.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/odfdom-java-0.8.11-incubating.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/odfdom-java-0.8.11-incubating.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/commons-validator-1.5.0.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/commons-validator-1.5.0.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/commons-logging-1.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/commons-logging-1.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/junit-3.8.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/junit-3.8.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/odfdom-java-0.8.7.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/odfdom-java-0.8.7.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/log4j-1.2.17.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/log4j-1.2.17.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/lib/commons-beanutils-1.9.2.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.libs.office/lib/commons-beanutils-1.9.2.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.libs.office/src/org/txm/libs/office/ReadODS.java
===================================================================
--- tmp/org.txm.libs.office/src/org/txm/libs/office/ReadODS.java	(revision 0)
+++ tmp/org.txm.libs.office/src/org/txm/libs/office/ReadODS.java	(revision 964)
@@ -0,0 +1,56 @@
+package org.txm.libs.office;
+
+import java.io.File;
+import java.util.ArrayList;
+
+import org.odftoolkit.simple.SpreadsheetDocument;
+import org.odftoolkit.simple.table.Row;
+import org.odftoolkit.simple.table.Table;
+
+public class ReadODS {
+	
+	public static ArrayList<ArrayList<String>> toTable(File inputFile, String sheetname) throws Exception {
+		
+		SpreadsheetDocument spreadsheet = SpreadsheetDocument.loadDocument(inputFile);
+
+		// the first access to the document causes a very long process
+		int sheetCount = spreadsheet.getSheetCount();
+		if (sheetCount < 1) {
+			System.out.println("** ReadODS: no sheet found in file. Aborting.");
+			return null;
+		}
+		
+		Table table = null;
+		if (sheetname != null) {
+			table = spreadsheet.getSheetByName(sheetname);
+		}
+		if (table == null) {
+			table = spreadsheet.getSheetByIndex(0);
+		}
+
+		ArrayList<ArrayList<String>> data = new ArrayList<ArrayList<String>>();
+
+		int rowCount = table.getRowCount();
+
+		for (int it = 0 ; it < rowCount ; it++) {
+			ArrayList<String> dataline = new ArrayList<>();
+			data.add(dataline);
+			Row row = table.getRowByIndex(it);
+			int colCount = row.getCellCount();
+			for (int j = 0 ; j < colCount ; j++) {
+				String cell = row.getCellByIndex(j).getDisplayText();
+				if (cell == null) {
+					dataline.add("");
+				} else {
+					dataline.add(cell);
+				}
+			}
+		}
+
+		return data;
+	}
+	
+	public static void main(String[] args) throws Exception {
+		System.out.println(toTable(new File("/home/mdecorde/xml/metadata.ods"), "metadata"));
+	}
+}

Property changes on: tmp/org.txm.libs.office/src/org/txm/libs/office/ReadODS.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.libs.office/build.properties
===================================================================
--- tmp/org.txm.libs.office/build.properties	(revision 0)
+++ tmp/org.txm.libs.office/build.properties	(revision 964)
@@ -0,0 +1,55 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               lib/collection-0.7.jar,\
+               lib/commons-cli-1.4.jar,\
+               lib/commons-codec-1.11.jar,\
+               lib/commons-compress-1.17.jar,\
+               lib/commons-csv-1.5.jar,\
+               lib/commons-io-2.6.jar,\
+               lib/commons-lang3-3.4.jar,\
+               lib/httpclient-4.5.5.jar,\
+               lib/httpclient-cache-4.5.5.jar,\
+               lib/httpcore-4.4.9.jar,\
+               lib/jackson-annotations-2.9.0.jar,\
+               lib/jackson-core-2.9.5.jar,\
+               lib/jackson-databind-2.9.5.jar,\
+               lib/java-rdfa-0.4.2.jar,\
+               lib/jcl-over-slf4j-1.7.25.jar,\
+               lib/jena-arq-3.8.0.jar,\
+               lib/jena-base-3.8.0.jar,\
+               lib/jena-cmds-3.8.0.jar,\
+               lib/jena-core-3.8.0.jar,\
+               lib/jena-dboe-base-3.8.0.jar,\
+               lib/jena-dboe-index-3.8.0.jar,\
+               lib/jena-dboe-trans-data-3.8.0.jar,\
+               lib/jena-dboe-transaction-3.8.0.jar,\
+               lib/jena-iri-3.8.0.jar,\
+               lib/jena-rdfconnection-3.8.0.jar,\
+               lib/jena-shaded-guava-3.8.0.jar,\
+               lib/jena-tdb-3.8.0.jar,\
+               lib/jena-tdb2-3.8.0.jar,\
+               lib/jsonld-java-0.12.0.jar,\
+               lib/libthrift-0.10.0.jar,\
+               lib/log4j-1.2.17.jar,\
+               lib/odfdom-java-0.8.11-incubating.jar,\
+               lib/simple-odf-0.8.2-incubating.jar,\
+               lib/slf4j-api-1.7.25.jar,\
+               lib/slf4j-log4j12-1.7.25.jar,\
+               lib/xslt-runner-1.2.4-incubating.jar,\
+               lib/xslt-runner-task-1.2.4-incubating.jar,\
+               lib/commons-beanutils-1.9.2.jar,\
+               lib/commons-collections-3.2.2.jar,\
+               lib/commons-digester-1.8.1.jar,\
+               lib/commons-logging-1.2.jar,\
+               lib/commons-validator-1.5.0.jar,\
+               lib/jena-core-2.11.2.jar,\
+               lib/jena-iri-1.0.2.jar,\
+               lib/junit-3.8.1.jar,\
+               lib/odfdom-java-0.8.7.jar,\
+               lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar,\
+               lib/slf4j-log4j12-1.7.6.jar,\
+               lib/taglets-0.8.11-incubating.jar,\
+               lib/xercesImpl-2.9.1.jar,\
+               lib/xml-apis-1.3.04.jar

Property changes on: tmp/org.txm.libs.office/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

